Package Details: wps-office 11.1.0.10161-1

Git Clone URL: https://aur.archlinux.org/wps-office.git (read-only, click to copy)
Package Base: wps-office
Description: Kingsoft Office (WPS Office) - an office productivity suite
Upstream URL: http://wps-community.org/
Licenses: custom
Conflicts: kingsoft-office
Submitter: felixonmars
Maintainer: Universebenzene
Last Packager: Universebenzene
Votes: 461
Popularity: 2.02
First Submitted: 2014-08-17 11:57
Last Updated: 2021-01-18 02:27

Dependencies (24)

Sources (1)

Pinned Comments

Universebenzene commented on 2020-10-22 02:25

If you have the "ERROR: One or more files failed the validity check!" problem, try cleaning your AUR cache first, and try again.

Universebenzene commented on 2020-01-10 04:48

[ATTENTION] The new international version (11.1.0.9080) removed zh_CN support, login, and some other functions. If you still want full functions, or you want aarch64 support, you may need the Chinese version from https://linux.wps.cn here: https://aur.archlinux.org/pkgbase/wps-office-cn

Universebenzene commented on 2019-10-26 05:46

I split the /usr/share/mime/packages/wps-office-*.xml files to the wps-office-mime package to avoid mime issues. If you still want the mime files provided by wps-office itself, you can install the new mime package.

Universebenzene commented on 2019-07-05 17:08

There is no official 32-bit package for version 11.1.0.8722, so I drop the support for i686 arch. For archlinux32 users you can create another wps-office package for 32-bit system yourself.

Universebenzene commented on 2019-04-16 13:34

When you shut down wps-office, the wpsoffice process may still exist. You can do sudo chmod -x /usr/lib/office6/wpsoffice to fix it. But this might bring you problem with signing in.

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 9 10 11 12 ... Next › Last »

Universebenzene commented on 2020-01-07 05:56

@mhusmann You just did it incorrectly. The problem is not caused by the pacman cache, but you AUR helper's cache.

mhusmann commented on 2020-01-07 05:42

I have cleaned the pacman cache but no way to update wps-office. Still the same checksum error

mhusmann commented on 2020-01-07 05:42

I have cleaned the pacman cache but no way to update wps-office. Still the same checksum error

mgundogdu1 commented on 2020-01-04 12:18

Hi! I have an issue with wps-presentation. I'm not sure is it wps issue or dependency package issue. --open wps- office presentation (from menu or command line with wpp) --press new document button --wps freeze and cpu usage peak suddenly (note: other wps-office products works fine) There is no problem with open pptx file in file manager already made. I have latest wps-office release. This issue appeared after last update. My system is: 4.19.91-1-MANJARO #x86_64 GNU/Linux Xfce Desktop. Is there anyone can confirm my issue and then I can sure this issue related my distro or related with wps itself. Thanks!

cnekmp commented on 2019-12-29 20:58

"FAILED fix_desktop_exec.patch ... Passed ==> ERROR: One or more files failed the validity check! Error downloading sources"

Solution is to clean up yay helper cache with a command: "sudo yay -Sc"

springzfx commented on 2019-12-28 09:56

@mhusmann sometimes your network service provider will cache. You can manualy download it with wget --no-cache <url>. So the provider won't redirect you to the cache.

Universebenzene commented on 2019-12-28 09:54

If you meet problem with the checksum of 11.1.0.8865-7, please clean the cache of your AUR helpers and try again.

Universebenzene commented on 2019-12-28 09:52

@mhusmann Please read the previous comments first.

mhusmann commented on 2019-12-28 09:49

I cannot update wps-office. Getting an validity check error. I guess the checksum is wrong. Any help?

Universebenzene commented on 2019-12-28 00:32

@ariel Same as Serial. Please clean your AUR helper's cache and try again.